{% extends "layouts/base.html" %}
{% load i18n %}

{% block content %}
<div class="container page-repository-add mx-auto mb-12">
    <h1 class="mb-5">{{ title }}</h1>
    <p>
        Laat je repositories toevoegen door onderstaand formulier in te vullen.
        Het is ook mogelijk om een <a href="https://gitlab.com/commonground/don/don-content/-/merge_requests" target="_blank" rel="noopener noreferrer">merge request</a> aan te maken.
    </p>
    <p>
        We hebben alleen de URL van je GitLab of GitHub-organisatieaccount nodig omdat we daarmee de repositories automatisch op kunnen halen.
        Let op: persoonlijke accounts kunnen niet worden toegevoegd omdat we die niet ondersteunen.
    </p>
    <div class="card card--padding-lg">
        {% language "nl" %}
            <form action="{% url 'web:repository_add' %}" method="post" class="add-repository-form form-wrapper">
                {% csrf_token %}
                {% if form.errors  %}<p class="warning">Het formulier is nog niet volledig ingevuld en/of bevat fouten.</p>{% endif %}
                <div class="field-wrapper">
                    {% if form.organization_ooid.field.has_choices %}
                        <label for="{{ form.organization_ooid.id_for_label }}">Organisatie</label>
                        <p class="information-source">We halen de lijst van organisaties uit het {% include "partials/external_link.html" with href="https://organisaties.overheid.nl/" title="Register van Overheidsorganisaties" %}</p>
                        {{ form.organization_ooid }}
                        {% if form.organization_ooid.errors %}
                            <div class="field-wrapper__errors">{{ form.organization_ooid.errors }}</div>
                        {% endif %}
                    {% else %}
                        <label for="{{ form.organization_name.id_for_label }}">Organisatienaam</label>
                        {{ form.organization_name }}
                        {% if form.organization_name.errors %}
                            <div class="field-wrapper__errors">{{ form.organization_name.errors }}</div>
                        {% endif %}
                    {% endif %}
                </div>
                <div class="field-wrapper">
                    <label for="{{ form.account_url.id_for_label }}">GitLab- of GitHub-acount</label>
                    <p>De URL naar het organisatieaccount op GitLab of GitHub.<br>Deze moet beginnen met 'https://'.</p>
                    {{ form.account_url }}
                    {% if form.account_url.errors %}<div class="field-wrapper__errors">{{ form.account_url.errors }}</div>{% endif %}
                </div>
                <button type="submit" class="button button--primary">Account registreren</button>
            </form>
        {% endlanguage %}
    </div>
</div>
{% endblock %}
